%define upstream_name    GStreamer-Interfaces
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Perl module for the gstreamer library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=150831

BuildRequires: libgstreamer-devel >= 0.10
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: perl(Glib) >= 1.100
BuildRequires: perl(GStreamer)
BuildRequires: perl(Gtk2) >= 1.100
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl-devel

%{?perl_default_filter}


%description
This module allows you to use the GStreamer library from Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 
perl Makefile.PL INSTALLDIRS=vendor

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
#%make test

%install
%makeinstall_std

%files
%doc LICENSE NEWS README META.yml
%{_mandir}/*/*
%{perl_vendorarch}/GStreamer/*
%{perl_vendorarch}/auto/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-16.mga6
+ Revision: 1027992
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-15.mga6
+ Revision: 957410
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.60.0-14.mga6
+ Revision: 844883
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.60.0-13.mga6
+ Revision: 842385
- rebuild for perl-5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.60.0-12.mga5
+ Revision: 787975
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-11.mga5
+ Revision: 744828
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.60.0-10.mga5
+ Revision: 732219
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-9.mga5
+ Revision: 684826
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.60.0-8.mga5
+ Revision: 632407
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-7.mga4
+ Revision: 524764
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.60.0-6.mga4
+ Revision: 431521
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-5.mga3
+ Revision: 367613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-4.mga3
+ Revision: 250694
- rebuild for perl 5.16

* Sun Jun 12 2011 ahmad <ahmad> 0.60.0-3.mga2
+ Revision: 104509
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-2.mga1
+ Revision: 37329
- mageia rebuild
- imported package perl-GStreamer-Interfaces

